package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-11-25
 * @description : 应用类型枚举
 */
@Getter
@AllArgsConstructor
public enum ApplicationTypeEnum {

    /**
     * 支付宝应用
     */
    NORMAL_STATUS(1, "支付宝应用"),

    /**
     * 微信商城小程序
     */
    BAN_STATUS(2, "微信商城小程序");

    /**
     * 应用类型
     */
    private Integer type;

    /**
     * 描述
     */
    private String describe;

    public static String getDescByType(Integer type) {
        ApplicationTypeEnum[] values = ApplicationTypeEnum.values();
        for (ApplicationTypeEnum value : values) {
            if (value.getType().equals(type)) {
                return value.getDescribe();
            }
        }
        return null;
    }
}
