package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2022-11-29
 * @description : 支付盒子类型
 */
@Getter
@AllArgsConstructor
public enum PayBoxTypeEnum {

    /**
     * 商城百货
     */
    STORE_GOODS(1, "商城百货"),

    /**
     * 商城美妆
     */
    STORE_BEAUTY(2, "商城美妆"),

    /**
     * 商城内容
     */
    STORE_CONTENT(3, "商城内容");

    /**
     * 账号类型
     */
    private Integer type;

    /**
     * 账号类型名称
     */
    private String name;

    /**
     * 被类型名称
     *
     * @param type 类型
     * @return {@link String}
     */
    public static String getNameByType(Integer type) {
        PayBoxTypeEnum[] values = PayBoxTypeEnum.values();
        for (PayBoxTypeEnum payBoxTypeEnum : values) {
            if (Objects.equals(payBoxTypeEnum.getType(), type)) {
                return payBoxTypeEnum.getName();
            }
        }
        return null;
    }
}
