package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * 支付盒子
 *
 * @author xufeng
 * @date 2022-06-22 15:26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PayBoxListVO {

    /**
     * 盒子id
     */
    @ApiModelProperty(notes = "盒子id")
    private Integer id;

    /**
     * 盒子名称
     */
    @ApiModelProperty(notes = "盒子名称")
    private String name;

    /**
     * 关联应用id
     */
    @ApiModelProperty(notes = "关联应用id")
    private Integer payApplicationId;

    /**
     * 关联应用名称
     */
    @ApiModelProperty(notes = "关联应用名称")
    private String payApplicationName;

    /**
     * 关联应用类型
     */
    @ApiModelProperty(notes = "关联应用类型")
    private String payApplicationType;

    /**
     * 关联应用类型名称
     */
    @ApiModelProperty(notes = "关联应用类型名称")
    private String payApplicationTypeName;

    /**
     * 关联应用appid
     */
    @ApiModelProperty(notes = "关联应用appid")
    private String appId;

    /**
     * 关联应用原始appid
     */
    @ApiModelProperty(notes = "关联应用原始appid")
    private String primevalId;

    /**
     * 关联应用主体名称
     */
    @ApiModelProperty(notes = "关联应用主体名称")
    private String company;

    /**
     * 商户信息列表
     */
    @ApiModelProperty(notes = "商户信息列表")
    private Map<Long, String> payMerchantMap;

    /**
     * 盒子类型 1、商城百货 2、商城美妆 2、商城内容
     */
    @ApiModelProperty(notes = "盒子类型 1、商城百货 2、商城美妆 2、商城内容")
    private Integer type;

    /**
     * 盒子类型名称
     */
    @ApiModelProperty(notes = "盒子类型名称")
    private String typeName;

    /**
     * 描述
     */
    @ApiModelProperty(notes = "描述")
    private String remark;
}
