package com.zanxiang.sdk.controller;

import com.zanxiang.sdk.annotation.UnSignCheck;
import com.zanxiang.sdk.domain.vo.GameAppletVO;
import com.zanxiang.sdk.service.GameAppletService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author : lingfeng
 * @time : 2023-01-04
 * @description : 客服消息
 */
@Api(tags = "sdk初始化接口")
@RestController
@RequestMapping(value = "/api/applet")
public class AppletController {

    @Autowired
    private GameAppletService gameAppletService;

    @UnSignCheck
    @ApiOperation(value = "小程序客服消息认证")
    @GetMapping("/custom/msg/{appId}")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = GameAppletVO.class)})
    public String appletMsgCheck(@PathVariable("appId") String appId, @RequestParam String signature,
                                 @RequestParam String timestamp, @RequestParam String nonce,
                                 @RequestParam String echostr) throws Exception {
        return gameAppletService.appletMsgCheck(appId, signature, timestamp, nonce, echostr);
    }

    @UnSignCheck
    @ApiOperation(value = "小程序客服消息事件")
    @PostMapping("/custom/msg/{appId}")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = GameAppletVO.class)})
    public String appletMsg(@PathVariable("appId") String appId, @RequestParam String signature,
                            @RequestParam String timestamp, @RequestParam String nonce,
                            @RequestBody String postData) throws Exception {
        return gameAppletService.appletMsg(appId, signature, timestamp, nonce, postData);
    }

}
